@font-face {
    font-family: 'Vazir';
    src: url("../fonts/Vazir/Vazir.eot");
    src: url("../fonts/Vazir/Vazir.ttf");
    src: url("../fonts/Vazir/Vazir.woff");
}

body {
    direction: rtl;
    text-align: right;
    font-family: Vazir !important;
}

*:not(i) {
    font-family: Vazir !important;
}

.list-unstyled {
    padding-left: initial !important;
    padding-right: 0;
}

/* ----------------- List Group ----------------- */
.list-group {
    padding-right: 0;
}

/* ---------------- List Inline -------------------- */
.list-inline {
    padding-right: 0;
}

.list-inline-item {
    margin-left: .5rem;
    margin-right: auto !important;
}

/* ------------------ Input Group --------------- */

.input-group > .input-group-append > .btn,
.input-group > .input-group-append > .input-group-text,
.input-group > .input-group-prepend:first-child > .btn:not(:first-child),
.input-group > .input-group-prepend:first-child > .input-group-text:not(:first-child),
.input-group > .input-group-prepend:not(:first-child) > .btn,
.input-group > .input-group-prepend:not(:first-child) > .input-group-text {
    border-top-left-radius: .25rem;
    border-bottom-left-radius: .25rem;
    border-top-right-radius: 0 !important;
    border-bottom-right-radius: 0 !important;
}

.input-group > .input-group-append:last-child > .btn:not(:last-child):not(.dropdown-toggle),
.input-group > .input-group-append:last-child > .input-group-text:not(:last-child),
.input-group > .input-group-append:not(:last-child) > .btn,
.input-group > .input-group-append:not(:last-child) > .input-group-text,
.input-group > .input-group-prepend > .btn,
.input-group > .input-group-prepend > .input-group-text {
    border-top-right-radius: .25rem;
    border-bottom-right-radius: .2rem;
    border-top-left-radius: 0 !important;
    border-bottom-left-radius: 0 !important;
}

.input-group > .custom-select:not(:first-child),
.input-group > .form-control:not(:first-child) {
    border-top-left-radius: .25rem;
    border-bottom-left-radius: .25rem;
    border-top-right-radius: 0 !important;
    border-bottom-right-radius: 0 !important;
}

.input-group > .custom-select:not(:last-child),
.input-group > .form-control:not(:last-child) {
    border-top-right-radius: .25rem;
    border-bottom-right-radius: .25rem;
    border-top-left-radius: 0 !important;
    border-bottom-left-radius: 0 !important;
}

.input-group-prepend {
    margin-right: 0;
    margin-left: -1px;
}

.input-group-append {
    margin-left: 0;
    margin-right: -1px;
}

.input-group-append .btn + .btn,
.input-group-append .btn + .input-group-text,
.input-group-append .input-group-text + .btn,
.input-group-append .input-group-text + .input-group-text,
.input-group-prepend .btn + .btn,
.input-group-prepend .btn + .input-group-text,
.input-group-prepend .input-group-text + .btn,
.input-group-prepend .input-group-text + .input-group-text {
    margin-left: 0;
    margin-right: -1px;
}

.input-group > .custom-file + .custom-file,
.input-group > .custom-file + .custom-select,
.input-group > .custom-file + .form-control,
.input-group > .custom-select + .custom-file,
.input-group > .custom-select + .custom-select,
.input-group > .custom-select + .form-control,
.input-group > .form-control + .custom-file,
.input-group > .form-control + .custom-select,
.input-group > .form-control + .form-control {
    margin-left: 0;
    margin-right: -1px;
}

.input-group > .custom-file:not(:first-child) .custom-file-label,
.input-group > .custom-file:not(:first-child) .custom-file-label::before {
    border-top-left-radius: .25rem;
    border-bottom-left-radius: .25rem;
    border-top-right-radius: 0 !important;
    border-bottom-right-radius: 0 !important;
}

.input-group > .custom-file:not(:last-child) .custom-file-label,
.input-group > .custom-file:not(:last-child) .custom-file-label::before {
    border-top-right-radius: .25rem;
    border-bottom-right-radius: .25rem;
    border-top-left-radius: 0 !important;
    border-bottom-left-radius: 0 !important;
}

.custom-file-label::after {
    left: 0;
    right: auto;
    border-right: 1px solid #ced4da;
    border-radius: .25rem 0 0 .25rem;
}

.custom-control, .form-check {
    padding-left: 0;
    padding-right: 1.25rem;
}

.custom-control-label::before,
.custom-control-label::after {
    left: auto;
    right: 0;
}

.form-check-input {
    margin-left: 0;
    margin-right: -1.25rem;
}

.form-check-inline .form-check-input {
    margin-left: .3125rem;
    margin-right: 0;
}

/* ------------------ Btn Group ------------------ */

.btn-group > .btn-group:not(:last-child) > .btn,
.btn-group > .btn:not(:last-child):not(.dropdown-toggle) {
    border-top-right-radius: .25rem;
    border-bottom-right-radius: .25rem;
    border-top-left-radius: 0 !important;
    border-bottom-left-radius: 0 !important;
}

.btn-group > .btn-group:not(:first-child) > .btn,
.btn-group > .btn:not(:first-child) {
    border-top-left-radius: .25rem;
    border-bottom-left-radius: .25rem;
    border-top-right-radius: 0 !important;
    border-bottom-right-radius: 0 !important;
}

.btn-group .btn + .btn,
.btn-group .btn + .btn-group,
.btn-group .btn-group + .btn,
.btn-group .btn-group + .btn-group,
.btn-group-vertical .btn + .btn,
.btn-group-vertical .btn + .btn-group,
.btn-group-vertical .btn-group + .btn,
.btn-group-vertical .btn-group + .btn-group {
    margin-right: -1px;
    margin-left: 0;
}

/* ----------------- Drop Down ---------------- */
.dropdown-toggle::after {
    margin-right: .255em;
    margin-left: 0
}

.dropright {
    direction: ltr;
}

.dropright > .btn:not(:last-child):not(.dropdown-toggle) {
    border-radius: .25rem 0 0 .25rem !important;
}

.dropright > .btn:not(:first-child) {
    border-radius: 0 .25rem .25rem 0 !important;
}

/* ------------------- Pagination ------------------------ */
.page-item:first-child .page-link {
    margin-right: 0;
    border-top-right-radius: .25rem;
    border-bottom-right-radius: .25rem;
    border-top-left-radius: 0 !important;
    border-bottom-left-radius: 0 !important;
}

.page-item:last-child .page-link {
    border-top-right-radius: 0 !important;
    border-bottom-right-radius: 0 !important;
    border-top-left-radius: .25rem;
    border-bottom-left-radius: .25rem;
}

/* ------------------- Dismissing ------------------------ */
.alert-dismissible {
    padding-right: 1.25rem !important;
    padding-left: 4rem;
}

.alert-dismissible .close {
    left: 0;
    right: auto !important;
}

/* ------------------- Offsets ------------------------ */
.offset-1 {
    margin-right: 8.333333%;
    margin-left: unset;
}

.offset-2 {
    margin-right: 16.666667%;
    margin-left: unset;
}

.offset-3 {
    margin-right: 25%;
    margin-left: unset;
}

.offset-4 {
    margin-right: 33.333333%;
    margin-left: unset;
}

.offset-5 {
    margin-right: 41.666667%;
    margin-left: unset;
}

.offset-6 {
    margin-right: 50%;
    margin-left: unset;
}

.offset-7 {
    margin-right: 58.333333%;
    margin-left: unset;
}

.offset-8 {
    margin-right: 66.666667%;
    margin-left: unset;
}

.offset-9 {
    margin-right: 75%;
    margin-left: unset;
}

.offset-10 {
    margin-right: 83.333333%;
    margin-left: unset;
}

.offset-11 {
    margin-right: 91.666667%;
    margin-left: unset;
}

@media (min-width: 576px) {
    .offset-sm-0 {
        margin-right: 0;
        margin-left: unset;
    }

    .offset-sm-1 {
        margin-right: 8.333333%;
        margin-left: unset;
    }

    .offset-sm-2 {
        margin-right: 16.666667%;
        margin-left: unset;
    }

    .offset-sm-3 {
        margin-right: 25%;
        margin-left: unset;
    }

    .offset-sm-4 {
        margin-right: 33.333333%;
        margin-left: unset;
    }

    .offset-sm-5 {
        margin-right: 41.666667%;
        margin-left: unset;
    }

    .offset-sm-6 {
        margin-right: 50%;
        margin-left: unset;
    }

    .offset-sm-7 {
        margin-right: 58.333333%;
        margin-left: unset;
    }

    .offset-sm-8 {
        margin-right: 66.666667%;
        margin-left: unset;
    }

    .offset-sm-9 {
        margin-right: 75%;
        margin-left: unset;
    }

    .offset-sm-10 {
        margin-right: 83.333333%;
        margin-left: unset;
    }

    .offset-sm-11 {
        margin-right: 91.666667%;
        margin-left: unset;
    }
}

@media (min-width: 768px) {
    .offset-md-0 {
        margin-right: 0;
        margin-left: unset;
    }

    .offset-md-1 {
        margin-right: 8.333333%;
        margin-left: unset;
    }

    .offset-md-2 {
        margin-right: 16.666667%;
        margin-left: unset;
    }

    .offset-md-3 {
        margin-right: 25%;
        margin-left: unset;
    }

    .offset-md-4 {
        margin-right: 33.333333%;
        margin-left: unset;
    }

    .offset-md-5 {
        margin-right: 41.666667%;
        margin-left: unset;
    }

    .offset-md-6 {
        margin-right: 50%;
        margin-left: unset;
    }

    .offset-md-7 {
        margin-right: 58.333333%;
        margin-left: unset;
    }

    .offset-md-8 {
        margin-right: 66.666667%;
        margin-left: unset;
    }

    .offset-md-9 {
        margin-right: 75%;
        margin-left: unset;
    }

    .offset-md-10 {
        margin-right: 83.333333%;
        margin-left: unset;
    }

    .offset-md-11 {
        margin-right: 91.666667%;
        margin-left: unset;
    }
}

@media (min-width: 992px) {
    .offset-lg-0 {
        margin-right: 0;
        margin-left: unset;
    }

    .offset-lg-1 {
        margin-right: 8.333333%;
        margin-left: unset;
    }

    .offset-lg-2 {
        margin-right: 16.666667%;
        margin-left: unset;
    }

    .offset-lg-3 {
        margin-right: 25%;
        margin-left: unset;
    }

    .offset-lg-4 {
        margin-right: 33.333333%;
        margin-left: unset;
    }

    .offset-lg-5 {
        margin-right: 41.666667%;
        margin-left: unset;
    }

    .offset-lg-6 {
        margin-right: 50%;
        margin-left: unset;
    }

    .offset-lg-7 {
        margin-right: 58.333333%;
        margin-left: unset;
    }

    .offset-lg-8 {
        margin-right: 66.666667%;
        margin-left: unset;
    }

    .offset-lg-9 {
        margin-right: 75%;
        margin-left: unset;
    }

    .offset-lg-10 {
        margin-right: 83.333333%;
        margin-left: unset;
    }

    .offset-lg-11 {
        margin-right: 91.666667%;
        margin-left: unset;
    }
}

@media (min-width: 1200px) {
    .offset-xl-0 {
        margin-right: 0;
        margin-left: unset;
    }

    .offset-xl-1 {
        margin-right: 8.333333%;
        margin-left: unset;
    }

    .offset-xl-2 {
        margin-right: 16.666667%;
        margin-left: unset;
    }

    .offset-xl-3 {
        margin-right: 25%;
        margin-left: unset;
    }

    .offset-xl-4 {
        margin-right: 33.333333%;
        margin-left: unset;
    }

    .offset-xl-5 {
        margin-right: 41.666667%;
        margin-left: unset;
    }

    .offset-xl-6 {
        margin-right: 50%;
        margin-left: unset;
    }

    .offset-xl-7 {
        margin-right: 58.333333%;
        margin-left: unset;
    }

    .offset-xl-8 {
        margin-right: 66.666667%;
        margin-left: unset;
    }

    .offset-xl-9 {
        margin-right: 75%;
        margin-left: unset;
    }

    .offset-xl-10 {
        margin-right: 83.333333%;
        margin-left: unset;
    }

    .offset-xl-11 {
        margin-right: 91.666667%;
        margin-left: unset;
    }
}

.table-striped tr td:first-of-type {
    border-radius: 0 5px 5px 0;
}

.table-striped tr td:last-of-type {
    border-radius: 5px 0 0 5px;
}

/* ------------------- Breadcrumb ------------------------ */

.breadcrumb li.breadcrumb-item {
    padding-left: 0px !important;
    padding-right: 0px !important;
}

.breadcrumb li.breadcrumb-item::before,
.breadcrumb li.breadcrumb-item.active::before {
    padding-left: 8px !important;
    padding-right: 8px !important;
}
/* -------------------------- rtl ------------------------- */
.sidebar {
    position: fixed;
    top: 0;
    bottom: 0;
    left: auto;
    right: 0 !important;
}

.main-panel {
    float: left;
}

.sidebar .nav .nav-item .nav-link i{
    float: right;
    margin-left: 15px !important;
    margin-right: auto !important;
}

.sidebar .nav .nav-item .nav-link {
    margin: 5px 10px 0px 15px;
}

.nav{
    padding-right: 0 !important;
}

.sidebar .user .photo {
    float: right;
    margin-left: 11px;
    margin-right: 23px;
}

.sidebar .caret{
    position: absolute;
    left: 0 !important;
    right: auto;
}

.sidebar .user .info .caret {
    left: 10px !important;
    top: -5px;
    right: auto !important;
}

.sidebar .sidebar-wrapper .nav [data-toggle="collapse"]~div>ul>li>a .sidebar-mini, .sidebar .sidebar-wrapper .user .info [data-toggle="collapse"]~div>ul>li>a .sidebar-mini {
    float: right;
}

.sidebar .user .profile-dropdown {
    text-align: right !important;
    /* padding-left: 25px !important; */
}

.sidebar .user .profile-dropdown .sidebar-normal {
    right: 15px;
}

.sidebar .user .info .collapse .sidebar-normal {
    padding-right: 0;
}

.sidebar .sidebar-wrapper .nav .nav-item [data-toggle="collapse"]~div .nav .sidebar-normal {
    right: 15px;
}

.sidebar .logo a.logo-mini {
    float: right;
    margin-right: 23px;
    margin-left: 15px;
}

.fixed-plugin {
    position: absolute;
    top: 200px;
    left: 0 !important;
    right: auto !important;
    z-index: 1031;
    border-radius: 0 8px 8px 0;
    text-align: center;
}

.fixed-plugin .dropdown-menu:before {
    border-bottom: 16px solid transparent;
    border-right: 16px solid rgba(0, 0, 0, 0.2);
    border-left: none !important;
    border-top: 16px solid transparent;
    right: -16px;
}

.fixed-plugin .dropdown-menu:after,
.fixed-plugin .dropdown-menu:before {
    /* right: 10px;
    margin-left: auto;
    left: auto; */
    left: -17px;
    margin-right: auto;
    right: auto;
}

.fixed-plugin .dropdown-menu:before,
.fixed-plugin .dropdown-menu:after {
    content: "";
    display: inline-block;
    position: absolute;
    top: 64px;
    width: 18px;
    transform: translateY(-50%);
    -webkit-transform: translateY(-50%);
    -moz-transform: translateY(-50%);
}

.fixed-plugin .dropdown-menu:after {
    border-bottom: 16px solid transparent;
    border-right: 16px solid #fff;
    border-top: 16px solid transparent;
    border-left: none;
    /* right: -15px; */
    left: -16px;
}

@media (min-width: 992px)
{
    .sidebar-mini .main-panel {
        width: calc(100% - 80px);
        margin-right: 80px !important;
        margin-left: auto !important;
    }

    /* .navbar-nav .nav-item .dropdown-menu:after {
        border-bottom: 11px solid #FFFFFF;
        border-left: 11px solid transparent;
        border-right: 11px solid transparent;
        content: "";
        display: inline-block;
        position: absolute;
        left: 12px;
        top: -10px;
    } */

    .navbar-nav.navbar-right .nav-item .dropdown-menu:after {
        /* left: auto;
        right: 12px; */
        right: auto;
        left: 12px;
    }

    .footer .footer-menu {
        float: right;
    }

    .footer .copyright {
        float: left;
    }

    .navbar-form .input-group .form-control {
        margin-right: 10px;
        margin-left: 0 !important;
    }

    .navbar-nav .nav-item .dropdown-menu::before
    {
        left: 120px !important;
    }

    .navbar-nav .nav-item .dropdown-menu::after{
        left: 120px !important;
    }

    .navbar-nav .nav-item:last-child .dropdown-menu::before {
        left: 12px !important;
    }

    .navbar-nav .nav-item:last-child .dropdown-menu::after {
        left: 12px !important;
    }
}

@media (max-width: 991px)
{
    .nav-mobile-menu .dropdown .dropdown-menu .dropdown-item {
        margin: 5px 20px 0px 15px;
        border-radius: 4px;
        color: #FFFFFF;
        opacity: .86;
        padding: 8px 50px;
        text-align: right !important;
    }

    .nav-mobile-menu .dropdown .dropdown-menu .dropdown-item .nc-icon {
        margin-right: -40px;
        margin-left: 0 !important;
    }
}

.fixed-plugin .dropdown.show .dropdown-menu {
    right: -303px !important;
    left: auto !important;
}

.fixed-plugin .dropdown .dropdown-menu {
    /* -webkit-transform: translate3d(0, -5%, 0) !important;
    -moz-transform: translate3d(0, -5%, 0) !important;
    -o-transform: translate3d(0, -5%, 0) !important;
    -ms-transform: translate3d(0, -5%, 0) !important;
    transform: translate3d(0, -5%, 0) !important; */
    top: -40px !important;
    opacity: 0;
    /* left: -263px !important; */
    right: -303px !important;
    left: auto !important;
    transform-origin: 0 0;
}

.dropdown-menu .dropdown-item{
    text-align: right;
}

.navbar-expand-lg .navbar-nav .dropdown-menu-right {
    right: -95px;
    left: auto;
}

.dropdown-menu.dropdown-menu-right::before, .dropdown-menu.dropdown-menu-right::after,
.dropdown-menu.dropdown-menu-right::before, .dropdown-menu.dropdown-menu-right::after {
    right: auto !important;
    left: 12px !important;
}

.dropdown-menu .dropdown-item i[class*="nc-icon"] {
    float: right;
    padding-left: 10px;
}

.close {
    float: left;
}

.navbar-minimize {
    margin-left: 15px;
    margin-right: 0 !important;
}

.navbar-form {
    padding-left: 5px !important;
    padding-right: 15px !important;
}
/* ---------------- login / register ---------------------- */

.wrapper-full-page .navbar .nav-link i {
    left: 10px;
    right: auto !important;
}

.full-page > .content .card-register .media h4 {
    margin: 0 15px 5px 0;
    text-align: right;
}
